iMSCP::File::copyFile: Couldn't copy roundcube

  • Moin Nuxwin
    The following error message appears when I want to update Trunk.




    Shell-Script
    1. [ERROR] iMSCP::File::copyFile: Couldn't copy `/var/local/imscp/packages/vendor/imscp/roundcube/src/vendor/pear/net_smtp/README.rst' file to `/var/www/imscp/gui/public/tools/webmail/vendor/pear/net_smtp/README.rst': No such file or directory
    2. [ERROR] Package::Webmail::Roundcube::Installer::_installFiles: Couldn't copy `/var/local/imscp/packages/vendor/imscp/roundcube/src/vendor/pear/net_smtp/README.rst' file to `/var/www/imscp/gui/public/tools/webmail/vendor/pear/net_smtp/README.rst': iMSCP::File::copyFile: Couldn't copy `/var/local/imscp/packages/vendor/imscp/roundcube/src/vendor/pear/net_smtp/README.rst' file to `/var/www/imscp/gui/public/tools/webmail/vendor/pear/net_smtp/README.rst': No such file or directory at /usr/local/src/imscp/engine/PerlLib/iMSCP/Dir.pm line 367, <$fh> line 6.
    3. [ERROR] autoinstaller::Functions::install: An error occurred while performing installation steps


    My SYSTEM



    Server version: Apache/2.4.25 (Debian)
    Server built: 2017-06-20T19:31:51


    PHP 7.1.10-1+0~20170929170818.9+stretch~1.gbp501135 (cli) (built: Sep 29 2017 17:08:20) ( NTS )
    Copyright (c) 1997-2017 The PHP Group
    Zend Engine v3.1.0, Copyright (c) 1998-2017 Zend Technologies
    with Zend OPcache v7.1.10-1+0~20170929170818.9+stretch~1.gbp501135, Copyright (c) 1999-2017, by Zend Technologies



    root@debian8:~# lsb_release -a
    No LSB modules are available.
    Distributor ID: Debian
    Description: Debian GNU/Linux stable-updates (sid)
    Release: stable-updates
    Codename: sid


    Your MySQL connection id is 5163
    Server version: 5.7.20 MySQL Community Server (GPL)

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

  • @Speedy


    Git is not svn. We are talking about the git master branch (here, the 1.5.x branch which is current master branch), not trunk ;)

    Are you serious? Buster (testing) support which is still in experimental state has just been added in the 1.5.x branch. There is no support for sid... Please, show us your full /etc/apt/sources.list file.


    Regarding the installer error, I cannot reproduce the problem.


    Please, result of the following command:


    Shell-Script
    1. COMPOSER_ALLOW_SUPERUSER=1 composer --working-dir=/var/local/imscp/packages show

    Also please, retry with the -c option:


    Shell-Script
    1. perl imscp-autoinstall -dc

    However, don't forget that we don't give support for unreleased versions.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Shell-Script
    1. # jessie-updates, previously known as volatile#deb http://ftp.de.debian.org/debian/ stretch-updates main contrib non-free#deb-src http://ftp.de.debian.org/debian/ stretch-updates main contrib non-freedeb http://ftp.de.debian.org/debian/ stretch main contrib non-freedeb-src http://ftp.de.debian.org/debian/ stretch main contrib non-freedeb http://security.debian.org/ stretch/updates main contrib non-freedeb-src http://security.debian.org/ stretch/updates main contrib non-free# jessie-updates, previously known as volatiledeb http://ftp.de.debian.org/debian/ stretch-updates main contrib non-freedeb-src http://ftp.de.debian.org/debian/ stretch-updates main contrib non-freedeb http://deb.debian.org/debian/ stretch main non-free contribdeb-src http://deb.debian.org/debian/ stretch main non-free contribdeb https://packages.sury.org/php/ stretch maindeb-src https://packages.sury.org/php/ stretch maindeb http://repo.mysql.com/apt/debian/ stretch mysql-5.7deb-src http://repo.mysql.com/apt/debian/ stretch mysql-5.7
    Code
    1. root@debian8:/usr/local/src/imscp# COMPOSER_ALLOW_SUPERUSER=1 composer --working-dir=/var/local/imscp/packages show
    2. imscp/monsta-ftp 2.1.x-dev 1db0e19 i-MSCP tools - Monsta FTP Web FTP client
    3. imscp/phpmyadmin 0.4.7.x-dev e3f3334 iMSCP tools - PhpMyadmin - MySQL administration tool
    4. imscp/rainloop 0.2.0.x-dev ac21425 iMSCP RainLoop Community package
    5. imscp/roundcube 1.3.1 iMSCP package - The Roundcube Webmail suite for i-MSCP

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

  • I'm just wondering where the SID should come, because in my apt-source list are only Stretch server registered?

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

  • @Speddy


    Your souces.list looks correct at first reading. However the output of the lsb_release command looks bad.. Please, make a dist-upgrade (APT) and reboot the server. Also, show us the content of your /etc/apt/sources.list.d if it is not empty.


    And please, rerun the installer with the -c option as stated in my previous post but first, do the dist upgrade and reboot.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • So ales so made as described in the /etc/apt/sources.list.d is blank



    apt-get udate and dist-ugrade remacht rebbot once again packed and updated an lsb_release it's still sd trinne a relase wau ws ih nich.
    because I run the stupa mt perl imscp-autoinstall -dc, again to the error message as in the first post I do not know now what I should still make I know @Nuxwin that you here is no support since it does not release, but I hope her can help me there.

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

  • @Speedy


    Can I access the system?

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • pn please

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

  • Nuxwin sentence that I report here:


    Quote from nuxwin


    lsb_release problem fixed. You did a downgrade from buster to stretch somewhere but the base-files package was still the one from buster.


    For the roundcube problem, there is a bug in current composer package which I'll fix (a symlink point to a missing directory)... I've fixed the problem quickly on your system by fetching all roundcube dependencies manually.
    Please, don't run the installer again (as long as I don't say you that the problem is fixed in our i-MSCP Roundcube composer package).

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

  • @Speedy


    Bug confirmed. This occurs only on system where the unzip package is installed.


    Explanation


    When the PHP dependency manager (Composer) unpack a dist version (zip archive) and that the unzip package is not installed on the target system, symlinks are replaced by regular files containing target file path... This is a known limitation in the ZipArchive PHP extension.


    However, when the unzip package is available on the target system, the PHP dependency manager (Composer) will prefer it over the ZipArchive PHP extension and in such a case symlinks will be correctly created.


    The problem is that in our 1.3.x (1.3.1) Roundcube composer package, we have broken symlinks and thus, when those symlinks are correctly created (presence of the unzip package on the target system), the i-MSCP installer fail to copy the file pointed by the symlinks...


    See also: https://getcomposer.org/doc/ar…e-not-unpacked-correctly-


    Well, there are many issues to address here:

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206